
TYPO3.Neos - Task # 8700

Story # 8644 (Resolved): As Robin I want to have a Basic ManagementView (List)

Status: Resolved Priority: Should have
Author: Sebastian Kurfuerst Category:
Created: 2010-07-06 Assigned To: Christian Müller
Updated: 2012-08-31 Due date:
Subject: Create a BorderLayout for the Management View
Description

Create a basic BorderLayout for the content area in the Management View

Related issues:
precedes TYPO3.Neos - Task # 8701: Add a generic tree to the Management View Resolved 2010-07-07 2010-07-07
precedes TYPO3.Neos - Task # 8702: add a generic TableView / grid to the Mana... Resolved 2010-07-07 2010-07-07

History
#1 - 2010-07-06 14:12 - Sebastian Kurfuerst
- Category set to JavaScript

#2 - 2010-07-06 18:35 - Sebastian Kurfuerst
- Tags set to #easy

#3 - 2010-07-07 07:35 - Christian Müller

I would like to work on the management view tasks, so this one, but this here is not totally clear to me.

#4 - 2010-07-07 09:02 - Sebastian Kurfuerst

Let me explain this a bit more in detail:
The first part of creating the Management View is that inside the Content Area, the area needs to be splitted into two parts: On the left side, there
should be the tree, and on the right side, there should be the Grid displaying the records.

And now, the first step to make this stuff happen is creating a BorderLayout inside the Content Area: In the left area should be the tree, and on the
right side the grid.

Hope this is more understandable now :-)

Greets,
Sebastian

#5 - 2010-07-07 09:02 - Sebastian Kurfuerst
- Status changed from New to Accepted

#6 - 2010-07-09 18:51 - Christian Müller
- Assigned To set to Christian Müller

#7 - 2010-07-16 19:42 - Christian Müller

See also Scrum protocol of today. More or less finished, I am polishing it to put out a first patch.
#8 - 2010-07-19 20:29 - Christian Müller
- File phoenix_task_8700.patch added

First patch to try. Tree and Grid component are prepared but do not much yet (they need data stores of course). One big thing I was not able to solve.
If you access the Management Tab you won't see much change after applying the patch but if you use firebug you will see that indeed the
management layout with tree and grid is rendered but the div with id "F3-TYPO3-Management-ManagementView" has class "x-hide-display" which
hides it. Removing that class displays everything, but I have not found out how to tell ExtJS to not do that.

#9 - 2010-07-19 21:14 - Sebastian Kurfuerst
- File TYPO3_Backend.png added

Hey,

thanks for your patch! I think you have to change the layout inside F3.TYPO3.UserInterface.ContentArea from card to fit -- it was still some kind of
relict that broke the behavior there.

Hopefully this fixes the first problem :-) Now, however, the black bar on top is missing for me inside the management view (see attached screenshot);
and I don't know yet why...

Hopefully this already helps you a little bit!

Thanks for your efforts :-)

Greets,
Sebastian

#10 - 2010-08-20 12:56 - Karsten Dambekalns
- Target version changed from 593 to 628

#11 - 2010-10-18 10:57 - Christian Müller
- Target version changed from 628 to 707

#12 - 2010-10-20 12:20 - Sebastian Kurfuerst
- Target version changed from 707 to 711

#13 - 2010-10-20 12:24 - Sebastian Kurfuerst
- Parent task set to #8644

#14 - 2010-10-21 10:02 - Sebastian Kurfuerst
- Parent task set to #8644

#15 - 2010-10-22 11:14 - Christian Müller
- Status changed from Accepted to Resolved
- Estimated time set to 0.00
- Remaining (hours) set to 0.0

#16 - 2012-08-31 10:38 - Robert Lemke
- Project changed from Base Distribution to TYPO3.Neos
Files
phoenix_task_8700.patch 6.1 kB 2010-07-19 Christian Müller
TYPO3_Backend.png 24.5 kB 2010-07-19 Sebastian Kurfuerst
